Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area.inline
Class InlineBlockParent

    java.lang.Object
      org.apache.fop.area.AreaTreeObject
          org.apache.fop.area.Area
              org.apache.fop.area.inline.InlineArea
                  org.apache.fop.area.inline.InlineBlockParent

All Implemented Interfaces:
  java.io.Serializable

public class InlineBlockParent
extends InlineArea

Inline block parent area. This is an inline area that can have one block area as a child

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.fop.area.inline.InlineArea
`InlineArea.InlineAdjustingInfo`

Field Summary
`protected Block` | `child` The list of inline areas added to this inline parent.

Fields inherited from class org.apache.fop.area.inline.InlineArea
`adjustingInfo, offset`

Fields inherited from class org.apache.fop.area.Area
`bpd, BT, CLASS_ABSOLUTE, CLASS_BEFORE_FLOAT, CLASS_FIXED, CLASS_FOOTNOTE, CLASS_MAX, CLASS_NORMAL, CLASS_SIDE_FLOAT, ipd, log, LR, ORIENT_0, ORIENT_180, ORIENT_270, ORIENT_90, props, RL, TB`

Fields inherited from class org.apache.fop.area.AreaTreeObject
`extensionAttachments, foreignAttributes`

Constructor Summary
`InlineBlockParent()` Create a new inline block parent to add areas to.

Method Summary
`void` | `addChildArea(Area childArea)` Override generic Area method.
`Block` | `getChildArea()` Get the child areas for this inline parent.

Methods inherited from class org.apache.fop.area.inline.InlineArea
`applyVariationFactor, getAdjustingInfo, getOffset, getParentArea, handleIPDVariation, hasLineThrough, hasOverline, hasUnderline, increaseIPD, isBlinking, notifyIPDVariation, setAdjustingInfo, setAdjustment, setOffset, setParentArea`

Methods inherited from class org.apache.fop.area.Area
`addTrait, getAllocBPD, getAllocIPD, getAreaClass, getBorderAndPaddingWidthAfter, getBorderAndPaddingWidthBefore, getBorderAndPaddingWidthEnd, getBorderAndPaddingWidthStart, getBPD, getIPD, getSpaceAfter, getSpaceBefore, getSpaceEnd, getSpaceStart, getTrait, getTraitAsBoolean, getTraitAsInteger, getTraits, hasTrait, hasTraits, setAreaClass, setBPD, setIPD, toString`

Methods inherited from class org.apache.fop.area.AreaTreeObject
`addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### child

    protected Block child

  The list of inline areas added to this inline parent.

Constructor Detail

### InlineBlockParent

    public InlineBlockParent()

  Create a new inline block parent to add areas to.

Method Detail

### addChildArea

    public void addChildArea(Area childArea)

  Override generic Area method.

  Overrides:
    `addChildArea` in class `InlineArea`
  Parameters:
    `childArea` - the child area to add

### getChildArea

    public Block getChildArea()

  Get the child areas for this inline parent.

  Returns:
    the list of child areas

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.